Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 14 reacties
Bron: Mozilla Developer News

Mozilla heeft niet alleen nieuwe versie van Firefox 3 klaargezet, maar ook de 2-serie van de browser voorzien van een update. Het gaat dit keer om versie 2.0.0.18, die alleen maar beveiligingsupdates bevat en niet van nieuwe features voorzien is. Firefox is een opensource webbrowser die standaard voorzien is van tabbed browsing, een pop-up blocker en een rss-reader. Daarnaast is het mogelijk extra functionaliteit toe te voegen door middel van add-ons. Verder kan ook het uiterlijk van Firefox via themes gewijzigd worden. Welke security updates in Firefox 2.0.0.18 precies zijn doorgevoerd, kan je hieronder lezen:

Fixed in Firefox 2.0.0.18
  • MFSA 2008-58 Parsing error in E4X default namespace
  • MFSA 2008-57 -moz-binding property bypasses security checks on codebase principals
  • MFSA 2008-56 nsXMLHttpRequest::NotifyEventListeners() same-origin violation
  • MFSA 2008-55 Crash and remote code execution in nsFrameManager
  • MFSA 2008-54 Buffer overflow in http-index-format parser
  • MFSA 2008-53 XSS and JavaScript privilege escalation via session restore
  • MFSA 2008-52 Crashes with evidence of memory corruption (rv:1.9.0.4/1.8.1.18)
  • MFSA 2008-50 Crash and remote code execution via __proto__ tampering
  • MFSA 2008-49 Arbitrary code execution via Flash Player dynamic module unloading
  • MFSA 2008-48 Image stealing via canvas and HTTP redirect
  • MFSA 2008-47 Information stealing via local shortcut files
Moderatie-faq Wijzig weergave

Reacties (14)

Inderdaad.
Ik snap niet waarom FF2 nog wordt geüpdatet. Vind ik persoonlijk erg slecht van Mozilla.

Het wordt voor mensen die nog FF2 gebruiken echt wel tijd om over te stappen naar FF3.x
Inderdaad.
Ik snap niet waarom FF2 nog wordt geüpdatet. Vind ik persoonlijk erg slecht van Mozilla.

Het wordt voor mensen die nog FF2 gebruiken echt wel tijd om over te stappen naar FF3.x
Dus mensen moeten maar in vervolg verplicht worden om een nieuwe versie te gebruiken? Het moet ze dus maar door de strot worden geduwd.
Domme reactie. Het is juist goed van Mozilla dat ze rekening met mensen houden. Mogen wat mij betreft meer bedrijven niet en niet nieuwe versies direct opdringen.
Helemaal geen domme reactie.
Firefox 3 is al geruime tijd uit en het wordt naar mijn mening toch wel eens tijd om over te stappen.

En dat van mensen die een oude Linux-kernel gebruiken is het hun eigen schuld. Het is wel leuk dat er een opensource alternatief bestaat, maar Linux is zeer ongebruiksvriendelijk.
Goh, als je Linux ongebruiksvriendelijk vind heb je blijkbaar nog nooit ntoskrnl geprobeerd. Dat is pas een bitch!
Sommige distributies die Linux gebruiken als kernel zijn misschien onvriendelijk, maar dat is de afgelopen paar jaar echt wel veranderd, Linux op de desktop groeit gestaag, het is nog geen merendeel, maar wel een groep om rekening mee te gaan houden. En sommige mensen zullen ook niet overstappen naar een nieuwer product puur omdat ze niet willen wennen aan een nieuw product. Moet je die mensen dan maar afsnijden? Denk ik niet. Bijna elk fatsoenlijk bedrijf levert beveiligingsupdates (en soms meer) voor verouderde producten.
Ik vond het nogal lullig dat verreweg de meeste add-ons niet meer werkten, ook simpele dingen niet zoals BB-Tag en Signature. Daarom heb ik nog steeds FF2.

Nu echter met die laatste update geen enkele van mijn add-ons meer werkt (.. :( ) moet ik ook maar eens overstappen..
Standaard reactie.... Beetje kortzichtig...
Er kunnen allerlei redenen zijn dat je nog oudere versies van software gebruikt:

Er zijn mensen die bijv. nog een Linux kernel uit de 2.2 of 2.4-serie gebruiken, omdat ze speciale software draaien die niet overweg kan met 2.6.

Of bedrijven die oude MS Office versies gebruiken vanwege macro's, sjablonen etc. etc.
Of dat een goede zaak is laat ik in het midden, het is gewoon een feit.

Ook ken ik bedrijven die nog altijd seriele poorten in PC's inbouwen omdat ze heel specifieke weegschalen gebruiken die niet in USB-variant beschikbaar zijn. Daardoor is soms zelfs nog een MS Dos applicatie nodig.
Ik vind de nieuwe URL bar in FF3 erg onoverzichtelijk, daarom hier nog steeds FF2 :)
Slecht van Mozilla?

Pfuuh, SP3 voor Windows XP is uitgekomen. Dom hoor, Vista is toch de opvolger? Waarom stappen we niet over op Vista?

Om maar eens een voorbeeld te geven :+
Wie gebruikt Firefox 2.0 nu nog? Ik kan me voorstellen dat dit in bedrijven niet automatisch geupdate wordt, er kan immers een probleem in de nieuwe versie zitten, maar 3.0 is ondertussen toch ook wel volwassen?
Mensen die op Windows 95/98 zitten :)
Ik vind het jammer dat ze bepaalde bugfixes niet in de 2.0 tree stoppen. Zo is het (voor zover ik weet) nog altijd niet mogelijk om HTML5 tags als <section> te gebruiken, omdat FF2 ze al <br/>'s ziet (waardoor alle content onder elkaar komt te staan), terwijl het in IE (met een enkele regel JS) wel werkt. Eigenlijk van de zotte. Zo wordt het men wel erg moeilijk gemaakt om HTML5 te gebruiken -- en de fix zit al sinds de beta's in FF3.
Tja, de Firefox2-branch worden alleen veiligheidsupdates gestopt. Misschien ook comptabiliteit of wat voor andere redenen ze hebben. Als je nieuwe functies wilt of niet kritische problemen moet je gewoon overstappen naar Firefox 3, lijkt me eigenlijk best logisch.

[Reactie gewijzigd door Gert-Paul op 13 november 2008 20:34]

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True